#
class trigger::config inherits trigger::params {

    group { 'trigger':
        ensure  => present,
        gid     => 1000,
    }

    user { 'trigger':
        ensure      => present,
        managehome  => true,
        gid         => 'trigger',
        require     => Group['trigger'],
    }

    file { '/etc/trigger':
        ensure  => 'directory',
        owner   => 'trigger',
        group   => 'trigger',
        mode    => 755,
    }

    file { '/etc/trigger/settings.py':
        path    => '/etc/trigger/settings.py',
        owner   => 'trigger',
        group   => 'trigger',
        mode    => '0744',
        require => [ Package['trigger'], File['/etc/trigger'] ],
        content => template('trigger/trigger_settings.py.erb'),
    }

    file { '/etc/trigger/netdevices.json':
        path    => '/etc/trigger/netdevices.json',
        owner   => 'trigger',
        group   => 'trigger',
        mode    => '0744',
        require => [ Package['trigger'], File['/etc/trigger'] ],
        content => template('trigger/netdevices.json.erb'),
    }

    file { '/etc/trigger/.tackf':
        path    => '/etc/trigger/.tackf',
        owner   => 'trigger',
        group   => 'trigger',
        mode    => '0744',
        require => [ Package['trigger'], File['/etc/trigger'] ],
        content => $tacacsrc_passphrase,
    }

    file { '/etc/trigger/autoacl.py':
        path    => '/etc/trigger/autoacl.py',
        owner   => 'trigger',
        group   => 'trigger',
        mode    => '0744',
        require => [ Package['trigger'], File['/etc/trigger'] ],
        content => template('trigger/autoacl.py.erb'),
    }

    file { '/etc/trigger/bounce.py':
        path    => '/etc/trigger/bounce.py',
        owner   => 'trigger',
        group   => 'trigger',
        mode    => '0744',
        require => [ Package['trigger'], File['/etc/trigger'] ],
        content => template('trigger/bounce.py.erb'),
    }

}
