# == Class: trigger
#
# Downloads, installs, and configures trigger, a Python-based toolchain
# for network automation
#
# === Parameters
#
# None
#
# === Variables
#
# None
#
# === Examples
#
# node server.example.com {
#   include trigger
# }
#
# === Authors
#
# Robison Jacka (robison@packetized.io)
#
# === Copyright
#
# Copyright (c) 2014 Robison Jacka
#

class trigger (
  $version = $trigger::params::version,
  ) inherits trigger::params {

  class{'trigger::install':
    onlyif  => [
      'test ! -x /usr/bin/netdev'
    ]
  } ->
  class{'trigger::config': } ->
  Class["trigger"]
}
